.logo-pattern {
	position: fixed;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	background-image:
		url('logo/mangabox-pattern-alpha-mid.svg'),
		/* Your pattern image */
		url('logo/mangabox-pattern-alpha-mid.svg'),
		/* Your pattern image */
		var(--mb-login-gradient);

	background-repeat: repeat, repeat, no-repeat;
	background-size: 800px 200px, 800px 200px, cover;
	background-position: 50% 50%, calc(50% - 450px) calc(50% - 100px), center;
}

.no-logo-pattern {
	position: fixed;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
}

#loginScreen {
	z-index: 5000;
	transition: background-color 0.3s;
}

.version-note {
	width: 100%;
	text-align: right;
	font-size: 13px;
	margin-right: 5px;
}

#logoName {
	max-width: 300px;
	width: 100%;
	margin-bottom: 5px;
	color: var(--mb-text-color);
	font-size: 34px;
	font-weight: 700;
	line-height: 1;
	text-align: center;
}

#logoIcon {
	max-width: 90px;
}

.login-spacer-top,
.login-spacer-bottom {
	width: 100%;
	height: 0px;
	background: transparent;
	position: relative;
}

.login-spacer-top::after,
.login-spacer-bottom::after {
	position: absolute;
	content: '';
	width: 100%;
	height: 100px;
	min-height: 100px;
	box-shadow: inset 0 0 5px 10px var(--mb-card-color);
	border-radius: calc(var(--mb-dialog-box-radius) - 2px);
	z-index: 11000;
	pointer-events: none;
}

.login-spacer-top::after {
	top: 0px;
	clip-path: inset(0 0 50% 0);
}

.login-spacer-bottom::after {
	bottom: 0px;
	clip-path: inset(50% 0 0 0);
}

.login-container {
	background: var(--mb-card-color);
	border-radius: var(--mb-dialog-box-radius);
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
	border: 1px solid var(--mb-login-border-color);
	overflow: hidden;
	max-width: 300px;
	min-width: 180px;
	min-height: 80px;
	width: calc(100% - 100px);
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

.dialog {
	max-height: calc(100vh - 50px);
	overflow-y: scroll;
	overflow-x: hidden;


	padding: 0px;
	margin: 0px;
	min-height: 80px;

	display: flex;
	flex-direction: column;
	align-items: center;



	padding: var(--mb-dialog-padding);
	background-color: var(--mb-card-color);

	transition: background-color 0.3s;
}

.dialog {
	scrollbar-width: none;
	/* Firefox */
	-ms-overflow-style: none;
	/* IE & Edge (legacy) */
}

.dialog::-webkit-scrollbar {
	display: none;
	/* Chrome, Safari, and new Edge */
}


.input-wrapper {
	display: flex;
	box-sizing: border-box;
	background-color: var(--mb-login-button-color);
	background-image: linear-gradient(90deg, transparent 40px, var(--mb-input-color) 40px);
	padding: 0;
	margin: 0;
	position: relative;
	width: 100%;
	height: var(--mb-dialog-button-height);
	min-height: var(--mb-dialog-button-height);
	margin-top: var(--mb-dialog-padding);
	border: 1px var(--mb-login-border-color) solid;
	border-radius: var(--mb-dialog-button-radius);
	box-shadow: none;
	transition: all 0.3s, box-shadow 0.1s;
}

.input-wrapper.disabled-input {
	opacity: 0.3;
	pointer-events: none;
}

#divServerName,
#divBaseUrl,
#serverTest,
#serverList,
#serverCancel,
#serverSave {
	display: none !important;
}

.input-wrapper i {
	position: absolute;
	left: 20px;
	top: 20px;
	transform: translate(-50%, -50%);
	color: var(--mb-glyph-color);

	font-size: var(--mb-dialog-font-size);
	pointer-events: none;
	/* Make the icon not respond to hover directly */
	transition: all 0.3s;
}


.pwd span.right {
	position: absolute;
	display: inline-block;
	/* or block */
	text-align: center;
	right: 0px;
	top: 20px;
	width: 40px;
	text-align: middle;
	transform: translate(0, -50%);
	color: var(--mb-login-border-color);
	font-size: var(--mb-dialog-font-size);
	/* Make the icon not respond to hover directly */
	transition: all 0.3s;
}

.pwd span.right:hover {
	color: var(--mb-glyph-color);

}

.input-wrapper:hover i {
	border-color: var(--mb-accent);
}

.input-wrapper:focus-within i {
	color: white;
}

.input-wrapper:focus-within {
	background-color: var(--mb-accent);
}

/*
#passIcon{
	pointer-events:unset;
	left: calc(100% - 40px);
}

.input-wrapper:focus-within #passIcon{
 color: var(--mb-glyph-color);
}
*/
.login-input {
	background: none;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	border: none;
	outline: none;
	padding: 0;
	margin: 0;
	font: inherit;
	color: inherit;

	box-sizing: border-box;
	height: 100%;
	width: 100%;
	border-radius: var(--mb-dialog-button-radius);
	padding-left: calc(var(--mb-dialog-button-height) + 5px);
	padding-right: 10px;
	font-size: var(--mb-dialog-font-size);

	transition: all 0.3s, box-shadow 0.1s;
}

.pwd .login-input {
	padding-right: calc(var(--mb-dialog-button-height));
}

.input-wrapper:hover {
	border: 1px solid var(--mb-accent);
}

.input-wrapper:focus-within {
	border: 1px solid var(--mb-accent);
	box-shadow: 0px 0px 5px var(--mb-accent-a50);
}

.login-buttons {
	margin: 0px;
	padding: 0px;
	display: grid;
	width: 100%;
	gap: var(--mb-dialog-padding);
	grid-auto-flow: column;
}

.login-buttons-left {
	/*	background-color:lightblue;*/
	display: flex;
	margin: 0px;
	padding: 0px;
	gap: calc(0.5 * var(--mb-dialog-padding));
}

.login-buttons-right {
	/*	background-color:lightgreen;*/
	display: grid;
	margin: 0px;
	padding: 0px;
	gap: calc(0.5 * var(--mb-dialog-padding));
	grid-auto-flow: column;
	justify-content: end;

}


.login-button {
	margin: 0px;
	appearance: none;
	background: var(--mb-login-button-color);
	border: 1px solid var(--mb-login-border-color);
	border-radius: var(--mb-dialog-button-radius);
	height: var(--mb-dialog-button-height);
	width: 80px;
	margin-top: var(--mb-dialog-padding);
	transition: 0.3s all;
	font-size: var(--mb-dialog-font-size);
	font: inherit;
	color: inherit;
}


.login-button-round {
	box-sizing: border-box;

	margin: 0px;
	padding: 0px;
	appearance: none;
	background: var(--mb-login-button-color);
	border: 1px solid var(--mb-login-border-color);
	border-radius: var(--mb-dialog-button-radius);
	height: var(--mb-dialog-button-height);
	width: var(--mb-dialog-button-height);
	min-width: var(--mb-dialog-button-height);
	min-height: var(--mb-dialog-button-height);
	transition: 0.3s all;
	font-size: var(--mb-dialog-font-size);
	font: inherit;
	color: inherit;

}


.login-button-round i {
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
	font-size: var(--mb-dialog-font-size);
	line-height: var(--mb-dialog-button-height);
	pointer-events: none;
	transition: all 0.3s;
	width: var(--mb-dialog-button-height);
	height: var(--mb-dialog-button-height);
}


.login-button:hover,
.login-button-round:hover {
	border: 1px solid var(--mb-accent);
	/*background-color:#eee;*/
}

.login-button:active,
.login-button-round:active {
	border: 1px solid var(--mb-accent);
	background-color: var(--mb-accent);
	color: white;
}

#loginInfo {
	position: absolute;
	top: 15px;
	right: 15px;
	margin: 0px;
}

.login-button-round {
	position: relative;
	margin-top: var(--mb-dialog-padding);
}

.auth-hidden {
	display: none;
}

.error-message {
	width: calc(100% - 30px);
	color: white;
	font-size: var(--mb-dialog-font-size);
	margin-top: 15px;
	padding: 12px 15px 15px 15px;
	background: rgb(160, 6, 39);
	margin-bottom: 0px;
	border-radius: 20px;
}

.server-data {
	height: 0px;
	transition: 0.3s all;
	overflow: hidden;
	text-align: left;
	font-size: 16px;
	padding-left: 10px;
	padding-right: 10px;

}

.server-data.expand {
	height: 80px;
}

.server-button {
	transition: 0.3s all;
}

.server-button:hover {
	opacity: 0.8;
}

.server-button:active {
	scale: 0.8;
}

.server-buttons-disabled {
	pointer-events: none;
	opacity: 0.1;
}

.input-glyph {
	display: none !important;
}

@media (max-width: 400px) {
	.login-button {
		width: 40px;
	}

	.input-text {
		display: none;
	}

	.input-glyph {
		display: block !important;
	}

}
